commoble.exmachina.data

## Class RawCircuitElement

- java.lang.Object
- - commoble.exmachina.data.RawCircuitElement

    public class RawCircuitElement
    extends java.lang.Object

To be deserialized from json via GSON

### Field Summary

Fields
`commoble.exmachina.api.ConnectorFactory` `connector`
`commoble.exmachina.api.DynamicPropertyFactory` `dynamic_load`
`commoble.exmachina.api.DynamicPropertyFactory` `dynamic_source`
`commoble.exmachina.api.StaticPropertyFactory` `static_load`
`commoble.exmachina.api.StaticPropertyFactory` `static_source`

### Constructor Summary

Constructors
Constructor and Description
`RawCircuitElement()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connector

    public commoble.exmachina.api.ConnectorFactory connector

#### static_source

    public commoble.exmachina.api.StaticPropertyFactory static_source

#### static_load

    public commoble.exmachina.api.StaticPropertyFactory static_load

#### dynamic_source

    public commoble.exmachina.api.DynamicPropertyFactory dynamic_source

#### dynamic_load

    public commoble.exmachina.api.DynamicPropertyFactory dynamic_load

### Constructor Detail

#### RawCircuitElement

    public RawCircuitElement()